From 902806e16782b1b57111f07cde6e0d4c2c31f1e3 Mon Sep 17 00:00:00 2001
From: DreamMaoMao <2523610504@qq.com>
Date: Fri, 19 Jun 2026 17:15:05 +0800
Subject: [PATCH 14/16] opt: syncobj_enable default to 1

---
 docs/configuration/miscellaneous.md | 2 +-
 src/config/parse_config.h           | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/config/parse_config.h b/src/config/parse_config.h
index cbb629da7..61a6da697 100644
--- a/src/config/parse_config.h
+++ b/src/config/parse_config.h
@@ -3687,7 +3687,7 @@ void set_value_default() {
 	config.view_current_to_back = 0;
 	config.single_scratchpad = 1;
 	config.xwayland_persistence = 1;
-	config.syncobj_enable = 0;
+	config.syncobj_enable = 1;
 	config.tag_carousel = 0;
 	config.drag_tile_refresh_interval = 8.0f;
 	config.drag_floating_refresh_interval = 8.0f;

